Subject: Re: bug#10180: 24.0.92; Gnus shows spurious message with org MIME part

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 07 Jan 2012 00:21:14 +0100

Stephen Berman <[email-masked]> writes:

> Whenever I open an email or posting in Gnus that contains a MIME part
> whose type is "text/org"
> (e.g. http://permalink.gmane.org/gmane.emacs.bugs/54532), the echo area
> displays the message "OVERVIEW".  This is because the MIME type text/org
> induces (via defcustom mm-inline-media-tests) a call to
> mm-display-org-inline,
> which calls mm-display-inline-fontify,
> which calls org-mode,
> which calls org-set-startup-visibility,
> which calls org-cycle,
> which calls org-cycle-internal-global,
> which calls (message "OVERVIEW").
>
> Since the email or posting I'm reading in Gnus is not in org-mode and I
> cannot cycle the state of the MIME part, the message is at best
> superfluous, at worst confusing.

Yes, that seems rather confusing.

Bastien, can the

  (message "OVERVIEW")

be removed from the org function?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/